Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class EvictionListeners

    java.lang.Object
      com.google.common.collect.EvictionListeners

Deprecated. Caching functionality in `MapMaker` is being moved to `CacheBuilder`. Functionality similar to `EvictionListeners` is provided by `RemovalListeners`. This class is scheduled for deletion from Guava in Guava release 11.0.

    @Beta
    @Deprecated
    public final class EvictionListeners

extends Object

A collection of common eviction listeners.

Since:
  7.0
Author:
  Charles Fry

Method Summary
`static
`<K,V> MapEvictionListener<K,V>`
` | `asynchronous(MapEvictionListener<K,V> listener, Executor executor)` Deprecated. Caching functionality in `MapMaker` is being moved to `CacheBuilder`. Functionality similar to `EvictionListeners#asynchronous` is provided by `RemovalListeners.asynchronous(com.google.common.cache.RemovalListener, java.util.concurrent.Executor)`. This method is scheduled for deletion from Guava in Guava release 11.0.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### asynchronous

    @Deprecated
    public static <K,V> MapEvictionListener<K,V> asynchronous(MapEvictionListener<K,V> listener,
                                                                         Executor executor)

  Deprecated. Caching functionality in `MapMaker` is being moved to `CacheBuilder`. Functionality similar to `EvictionListeners#asynchronous` is provided by `RemovalListeners.asynchronous(com.google.common.cache.RemovalListener, java.util.concurrent.Executor)`. This method is scheduled for deletion from Guava in Guava release 11.0.

  Returns an asynchronous `MapEvictionListener` which processes all eviction notifications asynchronously, using `executor`.

  Parameters:
    `listener` - the backing listener
    `executor` - the executor with which eviciton notifications are asynchronously executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.